- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions
IterableBoolMap< GR, K >::TrueIt Class Reference

## Detailed Description

### template<typename GR, typename K>
class lemon::IterableBoolMap< GR, K >::TrueIt

Iterator for the keys mapped to `true`. It works like a graph item iterator, it can be converted to the key type of the map, incremented with `++` operator, and if the iterator leaves the last valid key, it will be equal to `INVALID`.

`#include <lemon/maps.h>`

Inherits Key.

## Public Member Functions
| TrueIt (const IterableBoolMap &map)
| Creates an iterator. More...
| TrueIt (Invalid)
| Invalid constructor & conversion. More...
TrueIt & | operator++ ()
| Increment operator. More...

## Constructor & Destructor Documentation

TrueIt | ( | const IterableBoolMap & | map | ) |
| inline explicit

Creates an iterator. It iterates on the keys mapped to `true`.

Parameters

  map | The IterableBoolMap.

TrueIt | ( | Invalid |  | ) |
| inline

This constructor initializes the iterator to be invalid.

See Also
  Invalid for more details.

## Member Function Documentation

TrueIt& operator++ | ( |  | ) |
| inline

Increment operator.